Page MenuHomePhabricator

update and consolidate json dump documentation
Closed, ResolvedPublic

Description

The structure of the json dumps needs to be documented. It is documented at https://git.wikimedia.org/raw/mediawiki%2Fextensions%2FWikibase/master/docs%2Fjson.wiki. This needs to be checked to make sure it is up to date. Also please check if any json structure is documented in-wiki to delete or update it. The goal is to minimize duplication.

Event Timeline

Lydia_Pintscher raised the priority of this task from to Normal.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher added a project: Wikidata.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 21 2015, 2:07 PM
Lucie claimed this task.Feb 18 2015, 3:25 PM
Lucie set Security to None.
Lucie added a comment.Feb 20 2015, 3:45 PM

So far, there is no part talking about the snaks-order. Was that on purpose or jsut because it wasn't there at the point it got last updated? So- should I add a part about skan-orders?
Fixing the last minor issues and uploading a patch then!

daniel added a subscriber: daniel.Feb 20 2015, 3:55 PM

yes, please document how we represent order, if we do. There is four places where we (should) do this:

  1. The order of statements (implies the order of statement groups)
  2. The order of qualifier snaks in a statement
  3. The order of references on a statement
  4. The order of snaks in a reference.
Lucie added a comment.Feb 20 2015, 5:03 PM

Also, the new example might be a big too long. I didn't want to change the data, that's why I just pasted the whole json of the Item in there, but it seems to be a bit too much.
For claims and statments, I didn't update the data, that is actually in the mainsnak because it would not be very clear if it's in there additionally to all the other information.

Change 191907 had a related patch set uploaded (by Lucie Kaffee):
Update json dump documentation

https://gerrit.wikimedia.org/r/191907

Patch-For-Review

Change 191907 merged by jenkins-bot:
Update json dump documentation

https://gerrit.wikimedia.org/r/191907

Lucie closed this task as Resolved.Mar 3 2015, 3:14 PM